### Property

# Gtk FileChooser:action

deprecated: 4.10 since: 4.0

#### Declaration

    property action: Gtk.FileChooserAction [ read, write ]

#### Description [src]

The type of operation that the file chooser is performing.

Type: | `GtkFileChooserAction`
Available since: | 4.0
Deprecated since: | 4.10
Use `GtkFileDialog` instead.

Default value | GTK_FILE_CHOOSER_ACTION_OPEN
Getter method | `gtk_file_chooser_get_action()`
Setter method | `gtk_file_chooser_set_action()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no